Package helma.framework

# Class CookieTrans

java.lang.Object
helma.framework.CookieTrans

All Implemented Interfaces:
  `Serializable`

public final class CookieTrans extends Object implements Serializable
Cookie Transmitter. A simple, serializable representation of an HTTP cookie.

See Also:
  - Serialized Form

## Method Summary

Modifier and Type
Method
Description
`javax.servlet.http.Cookie`
`getCookie(String defaultPath, String defaultDomain)`
`int`
`getDays()`
`String`
`getDomain()`
`boolean`
`getHttpOnly()`
`String`
`getName()`
`String`
`getPath()`
`boolean`
`getSecure()`
`String`
`getValue()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getName

public String getName()

Returns:
  ...

### getValue

public String getValue()

Returns:
  ...

### getDays

public int getDays()

Returns:
  ...

### getPath

public String getPath()

Returns:
  ...

### getDomain

public String getDomain()

Returns:
  ...

### getHttpOnly

public boolean getHttpOnly()

Returns:
  ...

### getSecure

public boolean getSecure()

Returns:
  ...

### getCookie

public javax.servlet.http.Cookie getCookie(String defaultPath, String defaultDomain)

Parameters:
  `defaultPath` - ...
  `defaultDomain` - ...
Returns:
  ...